PapercutService
The PapercutService methods and their request and response messages.
Generated from papercut.proto. Every method is
POST /rpc/engram.app.v1.PapercutService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
ListPapercuts |
ListPapercutsRequest |
ListPapercutsResponse |
ArchivePapercut |
ArchivePapercutRequest |
ArchivePapercutResponse |
UnarchivePapercut |
UnarchivePapercutRequest |
UnarchivePapercutResponse |
Messages
Section titled “Messages”ArchivePapercutRequest
Section titled “ArchivePapercutRequest”| Field | Type |
|---|---|
id |
string |
ArchivePapercutResponse
Section titled “ArchivePapercutResponse”| Field | Type |
|---|---|
papercut |
Papercut |
ListPapercutsRequest
Section titled “ListPapercutsRequest”| Field | Type |
|---|---|
include_archived |
bool |
ListPapercutsResponse
Section titled “ListPapercutsResponse”| Field | Type |
|---|---|
papercuts |
repeated Papercut |
Papercut
Section titled “Papercut”| Field | Type |
|---|---|
id |
string |
summary |
string |
description |
string |
category |
string |
severity |
string |
tags |
repeated string |
session_id |
string |
task_id |
string |
archived |
bool |
created_at |
google.protobuf.Timestamp |
profile |
ProfileSnapshot |
UnarchivePapercutRequest
Section titled “UnarchivePapercutRequest”| Field | Type |
|---|---|
id |
string |
UnarchivePapercutResponse
Section titled “UnarchivePapercutResponse”| Field | Type |
|---|---|
papercut |
Papercut |